curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
{
"publishedPromptVersionId": "00000000-0000-4000-8000-000000000025",
"behaviours": [{"id": "00000000-0000-4000-8000-000000000007", "versionNumber": 2, "status": "DRAFT"}],
"rules": [
{
"id": "00000000-0000-4000-8000-000000000008",
"ruleId": "00000000-0000-4000-8000-000000000005",
"name": "Refund workflow",
"versionNumber": 2,
"replacesPublished": true
}
],
"articles": [
{
"id": "00000000-0000-4000-8000-000000000009",
"name": "Refund policy",
"originalArticleId": "00000000-0000-4000-8000-000000000020"
}
]
}
Test Suite
Get run configuration
List Behavior versions, rule drafts and article drafts available for a run.
GET
/
v2
/
test-suite
/
run-configuration
/
public
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
{
"publishedPromptVersionId": "00000000-0000-4000-8000-000000000025",
"behaviours": [{"id": "00000000-0000-4000-8000-000000000007", "versionNumber": 2, "status": "DRAFT"}],
"rules": [
{
"id": "00000000-0000-4000-8000-000000000008",
"ruleId": "00000000-0000-4000-8000-000000000005",
"name": "Refund workflow",
"versionNumber": 2,
"replacesPublished": true
}
],
"articles": [
{
"id": "00000000-0000-4000-8000-000000000009",
"name": "Refund policy",
"originalArticleId": "00000000-0000-4000-8000-000000000020"
}
]
}
List Behavior versions, rule drafts and article drafts available for a run.
Headers
string
required
Bearer token containing your workspace API key. The key needs
read scope.Query parameters
string
required
Agent UUID. The agent must belong to the workspace.
Response
ReturnspublishedPromptVersionId, behaviours, rules and articles. Use these IDs in Start run.
curl --request GET \
--url 'https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001' \
--header 'Authorization: Bearer fini_your_api_key'
const response = await fetch("https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001", {
method: "GET",
headers: {
Authorization: "Bearer fini_your_api_key",
},
});
if (!response.ok) throw new Error(await response.text());
const result = await response.json();
import requests
response = requests.request(
"GET",
"https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001",
headers={"Authorization": "Bearer fini_your_api_key"},
)
response.raise_for_status()
result = response.json()
{
"publishedPromptVersionId": "00000000-0000-4000-8000-000000000025",
"behaviours": [{"id": "00000000-0000-4000-8000-000000000007", "versionNumber": 2, "status": "DRAFT"}],
"rules": [
{
"id": "00000000-0000-4000-8000-000000000008",
"ruleId": "00000000-0000-4000-8000-000000000005",
"name": "Refund workflow",
"versionNumber": 2,
"replacesPublished": true
}
],
"articles": [
{
"id": "00000000-0000-4000-8000-000000000009",
"name": "Refund policy",
"originalArticleId": "00000000-0000-4000-8000-000000000020"
}
]
}
Was this page helpful?

